package cn.com.v2.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 常见问题(TCommonQuestion)表实体类
 *
 * @author wu
 * @since 2025-04-21 09:36:06
 */
@Data
@ApiModel("常见问题实体类")
@TableName(value = "t_common_question")
public class CommonQuestion implements Serializable {

    private static final long serialVersionUID = -29377218335522611L;
    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 问题类型
     */
    @ApiModelProperty(value = "问题类型")
    private Integer questionType;

    /**
     * 问题详情
     */
    @ApiModelProperty(value = "问题详情")
    private String content;

    /**
     * 问题关联人id
     */
    @ApiModelProperty(value = "问题关联人id")
    private String userId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createUserId;

}

